Subject: Re: The Plan

From: Frank Rowand <[email-masked]>
Date: Wed, 07 Nov 2001 14:19:53 -0800

Paul Mackerras wrote:
>
> Geert Uytterhoeven writes:
>
> > Why not move platform-specific files to arch/ppc/<platform>/ instead?
> >
> > Your solution reduces the clutter only by a factor of 2, while creating
> > platform-specific directories reduces it by a factor of n.
>
> But adds n extra directories, most of which would only have 2 or 3
> files in them, thereby cluttering up arch/ppc.

One advantage of having arch/ppc/<platform>/ is that it allows for
the possibility of arch/ppc/platform/, which is a link to the
specific <platform> which is being built.  This would be similar
to the way that include/asm/ is a link to include/asm-<architecture>/

-Frank
--
Frank Rowand <[email-masked]>
MontaVista Software, Inc

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/